Subject: [bug#30629] [PATCH 0/5] Detect missing modules in the initrd

From: [email-masked] (Ludovic Courtès)
Date: Thu, 01 Mar 2018 14:39:39 +0100

Howdy!

Danny Milosavljevic <[email-masked]> skribis:

>> Also, when I replace kmod-minimal/static by kmod I get a massive number of
>> test failures.  What I'm trying to say, in this case I think
>> having an intermediate step kmod-minimal/static is the least of the evils...
>
> To clarify, the other "evils" would be to
>
> * Have a non-working intermediate state pushed to master, or
> * Have to push all 14 patches (yours and mine) at the same time - with
> overlooked bugs in it hitting us all at once.
>
> I prefer not to do these.

Of course.  What I was suggesting was to push “my” series first, then
rebase “yours” on top of it without the kmod bits since we can now do
without it.

How does that sound?

(I understand it’s somewhat unfair.  I wanted to submit my part before
you started working on the rest, but you’re so fast that I just can’t
keep up.  ;-))

> I think it's better to have kmod-minimal-static and my patchset in master
> for a week in order to be reasonably sure that the linux-boot.scm
> changes do what they are supposed to do (which is essentially the same
> as before the patch - just loading no unnecessary modules :P).
>
> Also, loading dm-crypt and raid works just fine with it since the kernel
> does it anyway (by calling us back).
>
> My commit message indicated that I used the regular kmod - but I was mistaken
> (in the commit message, not the actual source code).
> I tried, but it doesn't work (or kmod-minimal-static even build) with the newer
> kmod (static), so I changed it back to the older one again.
>
> Also, kmod-minimal (not static) of the newer version doesn't work either (depmod
> fails with error code 127 with no message printed anywhere).
>
> The old kmod version is special because it's the last one to officially
> support static linking.  Let's just use old kmod-minimal-static as-is until we
> figure out what's up with newer ones (I don't have any ideas left about that -
> I don't even understand why it needs to be statically linked when, with the
> integrated version, kmod doesn't end up in the initrd anyway.
> I tried with the integrated version: Error 127).

Honestly I feel it’ll be easier to deal with a small pure-Scheme
implementation.

> Did I mention it's great to be able to rollback to the previous system
> generation in the grub boot menu?  It's so great!

:-)

Ludo’.